=== modified file 'client/drizzle.cc'
--- client/drizzle.cc	2009-03-05 08:26:07 +0000
+++ client/drizzle.cc	2009-03-07 17:09:37 +0000
@@ -171,7 +171,7 @@
   connected= false, opt_raw_data= false, unbuffered= false,
   output_tables= false, opt_rehash= true, skip_updates= false,
   safe_updates= false, one_database= false,
-  opt_compress= false, using_opt_local_infile= false,
+  opt_compress= false,
   vertical= false, line_numbers= true, column_names= true,
   opt_nopager= true, opt_outfile= false, named_cmds= false,
   tty_password= false, opt_nobeep= false, opt_reconnect= true,
@@ -1505,9 +1505,6 @@
     delimiter_length= (uint32_t)strlen(delimiter);
     delimiter_str= delimiter;
     break;
-  case OPT_LOCAL_INFILE:
-    using_opt_local_infile= 1;
-    break;
   case OPT_TEE:
     if (argument == disabled_my_option)
     {
@@ -3694,8 +3691,6 @@
     drizzleclient_options(&drizzle,DRIZZLE_OPT_COMPRESS,NULL);
   if (opt_secure_auth)
     drizzleclient_options(&drizzle, DRIZZLE_SECURE_AUTH, (char *) &opt_secure_auth);
-  if (using_opt_local_infile)
-    drizzleclient_options(&drizzle,DRIZZLE_OPT_LOCAL_INFILE, (char*) &opt_local_infile);
   if (safe_updates)
   {
     char init_command[100];

=== modified file 'client/drizzleimport.cc'
--- client/drizzleimport.cc	2009-02-21 00:18:15 +0000
+++ client/drizzleimport.cc	2009-03-07 17:09:37 +0000
@@ -405,9 +405,6 @@
     return 0;
   if (opt_compress)
     drizzleclient_options(drizzle,DRIZZLE_OPT_COMPRESS,NULL);
-  if (opt_local_file)
-    drizzleclient_options(drizzle,DRIZZLE_OPT_LOCAL_INFILE,
-      (char*) &opt_local_file);
   if (opt_protocol)
     drizzleclient_options(drizzle,DRIZZLE_OPT_PROTOCOL,(char*)&opt_protocol);
   if (!(drizzleclient_connect(drizzle,host,user,passwd,

=== modified file 'client/drizzletest.cc'
--- client/drizzletest.cc	2009-03-05 02:48:46 +0000
+++ client/drizzletest.cc	2009-03-07 17:09:37 +0000
@@ -3821,7 +3821,7 @@
     die("Failed on drizzleclient_create()");
   if (opt_compress || con_compress)
     drizzleclient_options(&con_slot->drizzle, DRIZZLE_OPT_COMPRESS, NULL);
-  drizzleclient_options(&con_slot->drizzle, DRIZZLE_OPT_LOCAL_INFILE, 0);
+  
 
   /* Use default db name */
   if (ds_database.length() == 0)
@@ -5555,7 +5555,6 @@
     die("Failed in drizzleclient_create()");
   if (opt_compress)
     drizzleclient_options(&cur_con->drizzle,DRIZZLE_OPT_COMPRESS,NULL);
-  drizzleclient_options(&cur_con->drizzle, DRIZZLE_OPT_LOCAL_INFILE, 0);
 
   if (!(cur_con->name = strdup("default")))
     die("Out of memory");

=== modified file 'drizzled/common.h'
--- drizzled/common.h	2009-02-21 16:00:06 +0000
+++ drizzled/common.h	2009-03-07 17:09:37 +0000
@@ -217,7 +217,6 @@
 #define CLIENT_NO_SCHEMA	16	/* Don't allow database.table.column */
 #define CLIENT_COMPRESS		32	/* Can use compression protocol */
 #define CLIENT_ODBC		64	/* Odbc client */
-#define CLIENT_LOCAL_FILES	128	/* Can use LOAD DATA LOCAL */
 #define CLIENT_IGNORE_SPACE	256	/* Ignore spaces before '(' */
 #define UNUSED_CLIENT_PROTOCOL_41	512	/* New 4.1 protocol */
 #define CLIENT_INTERACTIVE	1024	/* This is an interactive client */
@@ -240,7 +239,6 @@
                            CLIENT_NO_SCHEMA | \
                            CLIENT_COMPRESS | \
                            CLIENT_ODBC | \
-                           CLIENT_LOCAL_FILES | \
                            CLIENT_IGNORE_SPACE | \
                            CLIENT_INTERACTIVE | \
                            CLIENT_SSL | \

=== modified file 'libdrizzleclient/Makefile.am'
--- libdrizzleclient/Makefile.am	2009-02-08 11:28:58 +0000
+++ libdrizzleclient/Makefile.am	2009-03-07 17:09:37 +0000
@@ -46,7 +46,6 @@
 			get_password.c \
 			libdrizzle.c \
 			libdrizzle_priv.c \
-			local_infile.c \
 			net_serv.c \
 			pack.c \
 			password.c \
@@ -56,8 +55,7 @@
 libdrizzleclient_la_LDFLAGS = -version-info @SHARED_LIB_VERSION@ @LD_VERSION_SCRIPT@
 libdrizzleclient_la_LIBADD = $(LIBZ)
 
-noinst_HEADERS =	libdrizzle_priv.h \
-			local_infile.h
+noinst_HEADERS =	libdrizzle_priv.h
 
 EXTRA_DIST =		libdrizzleclient.ver
 CLEANFILES =		$(target_libadd) $(SHLIBOBJS) \

=== modified file 'libdrizzleclient/client.c'
--- libdrizzleclient/client.c	2009-02-08 11:28:58 +0000
+++ libdrizzleclient/client.c	2009-03-07 17:09:37 +0000
@@ -42,7 +42,6 @@
 #include "net_serv.h"
 #include "pack.h"
 #include "errmsg.h"
-#include "local_infile.h"
 #include "drizzle_methods.h"
 
 #include <stdarg.h>
@@ -504,12 +503,6 @@
     drizzle->options.compress= 1;      /* Remember for connect */
     drizzle->options.client_flag|= CLIENT_COMPRESS;
     break;
-  case DRIZZLE_OPT_LOCAL_INFILE:      /* Allow LOAD DATA LOCAL ?*/
-    if (!arg || (*(uint32_t*) arg) ? 1 : 0)
-      drizzle->options.client_flag|= CLIENT_LOCAL_FILES;
-    else
-      drizzle->options.client_flag&= ~CLIENT_LOCAL_FILES;
-    break;
   case DRIZZLE_READ_DEFAULT_FILE:
     if (drizzle->options.my_cnf_file != NULL)
       free(drizzle->options.my_cnf_file);

=== modified file 'libdrizzleclient/drizzle.c'
--- libdrizzleclient/drizzle.c	2009-02-08 11:28:58 +0000
+++ libdrizzleclient/drizzle.c	2009-03-07 17:09:37 +0000
@@ -28,7 +28,6 @@
 #include "drizzle.h"
 #include "net_serv.h"
 #include "drizzle_data.h"
-#include "local_infile.h"
 
 #include <drizzled/gettext.h>
 
@@ -669,7 +668,7 @@
   if ((length = drizzleclient_cli_safe_read(drizzle)) == packet_error)
     return(1);
   drizzleclient_free_old_query(drizzle);    /* Free old result */
-get_info:
+
   pos=(unsigned char*) drizzle->net.read_pos;
   if ((field_count= drizzleclient_net_field_length(&pos)) == 0)
   {
@@ -681,22 +680,13 @@
 
     if (pos < drizzle->net.read_pos+length && drizzleclient_net_field_length(&pos))
       drizzle->info=(char*) pos;
-    return(0);
+    return 0;
   }
   if (field_count == NULL_LENGTH)    /* LOAD DATA LOCAL INFILE */
   {
-    int error;
-
-    if (!(drizzle->options.client_flag & CLIENT_LOCAL_FILES))
-    {
-      drizzleclient_set_error(drizzle, CR_MALFORMED_PACKET, drizzleclient_sqlstate_get_unknown());
-      return(1);
-    }
-
-    error= drizzleclient_handle_local_infile(drizzle,(char*) pos);
-    if ((length= drizzleclient_cli_safe_read(drizzle)) == packet_error || error)
-      return(1);
-    goto get_info;        /* Get info packet */
+    drizzleclient_set_error(drizzle, CR_MALFORMED_PACKET, drizzleclient_sqlstate_get_unknown());
+
+    return 1;
   }
   if (!(drizzle->server_status & SERVER_STATUS_AUTOCOMMIT))
     drizzle->server_status|= SERVER_STATUS_IN_TRANS;

=== removed file 'libdrizzleclient/local_infile.c'
--- libdrizzleclient/local_infile.c	2009-02-08 11:28:58 +0000
+++ libdrizzleclient/local_infile.c	1970-01-01 00:00:00 +0000
@@ -1,303 +0,0 @@
-/* - mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
- *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
- *
- *  Copyright (C) 2008 Sun Microsystems, Inc.
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; version 2 of the License.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
- */
-
-#include <drizzled/global.h>
-
-#include "libdrizzle.h"
-#include "libdrizzle_priv.h"
-#include "errmsg.h"
-#include <sys/stat.h>
-#include <signal.h>
-#include <time.h>
-#include <fcntl.h>
-#include <stdio.h>
-
-#ifdef   HAVE_PWD_H
-#include <pwd.h>
-#endif
-
-#include <sys/socket.h>
-#include <netinet/in.h>
-#include <arpa/inet.h>
-#include <netdb.h>
-#ifdef HAVE_SELECT_H
-#include <select.h>
-#endif
-#ifdef HAVE_SYS_SELECT_H
-#include <sys/select.h>
-#endif
-
-#ifdef HAVE_POLL
-#include <sys/poll.h>
-#endif
-#ifdef HAVE_SYS_UN_H
-#include <sys/un.h>
-#endif
-#ifndef INADDR_NONE
-#define INADDR_NONE  -1
-#endif
-
-#include "local_infile.h"
-#include <drizzled/gettext.h>
-
-#define MY_ALIGN(A,L)	(((A) + (L) - 1) & ~((L) - 1))
-
-bool drizzleclient_handle_local_infile(DRIZZLE *drizzle, const char *net_filename)
-{
-  bool result= true;
-  uint32_t packet_length=MY_ALIGN(drizzle->net.max_packet-16,IO_SIZE);
-  NET *net= &drizzle->net;
-  int readcount;
-  void *li_ptr;          /* pass state to local_infile functions */
-  char *buf;    /* buffer to be filled by local_infile_read */
-  struct st_drizzleclient_options *options= &drizzle->options;
-
-  /* check that we've got valid callback functions */
-  if (!(options->local_infile_init &&
-  options->local_infile_read &&
-  options->local_infile_end &&
-  options->local_infile_error))
-  {
-    /* if any of the functions is invalid, set the default */
-    drizzleclient_set_local_infile_default(drizzle);
-  }
-
-  /* copy filename into local memory and allocate read buffer */
-  if (!(buf=malloc(packet_length)))
-  {
-    drizzleclient_set_error(drizzle, CR_OUT_OF_MEMORY, drizzleclient_sqlstate_get_unknown());
-    return(1);
-  }
-
-  /* initialize local infile (open file, usually) */
-  if ((*options->local_infile_init)(&li_ptr, net_filename,
-    options->local_infile_userdata))
-  {
-    (void)drizzleclient_net_write(net,(const unsigned char*) "",0); /* Server needs one packet */
-    drizzleclient_net_flush(net);
-    strcpy(net->sqlstate, drizzleclient_sqlstate_get_unknown());
-    net->last_errno=
-      (*options->local_infile_error)(li_ptr,
-                                     net->last_error,
-                                     sizeof(net->last_error)-1);
-    goto err;
-  }
-
-  /* read blocks of data from local infile callback */
-  while ((readcount =
-    (*options->local_infile_read)(li_ptr, buf,
-          packet_length)) > 0)
-  {
-    if (drizzleclient_net_write(net, (unsigned char*) buf, readcount))
-    {
-      goto err;
-    }
-  }
-
-  /* Send empty packet to mark end of file */
-  if (drizzleclient_net_write(net, (const unsigned char*) "", 0) || drizzleclient_net_flush(net))
-  {
-    drizzleclient_set_error(drizzle, CR_SERVER_LOST, drizzleclient_sqlstate_get_unknown());
-    goto err;
-  }
-
-  if (readcount < 0)
-  {
-    net->last_errno=
-      (*options->local_infile_error)(li_ptr,
-                                     net->last_error,
-                                     sizeof(net->last_error)-1);
-    goto err;
-  }
-
-  result=false;					/* Ok */
-
-err:
-  /* free up memory allocated with _init, usually */
-  (*options->local_infile_end)(li_ptr);
-  if(buf)
-    free(buf);
-  return(result);
-}
-
-
-/****************************************************************************
-  Default handlers for LOAD LOCAL INFILE
-****************************************************************************/
-
-typedef struct st_default_local_infile
-{
-  int fd;
-  int error_num;
-  const char *filename;
-  char error_msg[LOCAL_INFILE_ERROR_LEN];
-} default_local_infile_data;
-
-
-/*
-  Open file for LOAD LOCAL INFILE
-
-  SYNOPSIS
-    default_local_infile_init()
-    ptr      Store pointer to internal data here
-    filename    File name to open. This may be in unix format !
-
-
-  NOTES
-    Even if this function returns an error, the load data interface
-    guarantees that default_local_infile_end() is called.
-
-  RETURN
-    0  ok
-    1  error
-*/
-
-static int default_local_infile_init(void **ptr, const char *filename,
-                                     void *userdata)
-{
-  (void)userdata;
-  default_local_infile_data *data;
-  char tmp_name[FN_REFLEN];
-
-  if (!(*ptr= data= ((default_local_infile_data *)
-		     malloc(sizeof(default_local_infile_data)))))
-    return 1; /* out of memory */
-
-  data->error_msg[0]= 0;
-  data->error_num=    0;
-  data->filename= filename;
-
-  if ((data->fd = open(tmp_name, O_RDONLY)) < 0)
-  {
-    data->error_num= errno;
-    snprintf(data->error_msg, sizeof(data->error_msg)-1,
-             _("File '%s' not found (Errcode: %d)"), tmp_name, data->error_num);
-    return 1;
-  }
-  return 0; /* ok */
-}
-
-
-/*
-  Read data for LOAD LOCAL INFILE
-
-  SYNOPSIS
-    default_local_infile_read()
-    ptr      Points to handle allocated by _init
-    buf      Read data here
-    buf_len    Ammount of data to read
-
-  RETURN
-    > 0    number of bytes read
-    == 0  End of data
-    < 0    Error
-*/
-
-static int default_local_infile_read(void *ptr, char *buf, uint32_t buf_len)
-{
-  int count;
-  default_local_infile_data*data = (default_local_infile_data *) ptr;
-
-  if ((count= (int) read(data->fd, (unsigned char *) buf, buf_len)) < 0)
-  {
-    data->error_num= 2; /* the errmsg for not entire file read */
-    snprintf(data->error_msg, sizeof(data->error_msg)-1,
-             _("Error reading file '%s' (Errcode: %d)"),
-             data->filename, errno);
-  }
-  return count;
-}
-
-
-/*
-  Read data for LOAD LOCAL INFILE
-
-  SYNOPSIS
-    default_local_infile_end()
-    ptr      Points to handle allocated by _init
-      May be NULL if _init failed!
-
-  RETURN
-*/
-
-static void default_local_infile_end(void *ptr)
-{
-  default_local_infile_data *data= (default_local_infile_data *) ptr;
-  if (data)          /* If not error on open */
-  {
-    if (data->fd >= 0)
-      close(data->fd);
-    free(ptr);
-  }
-}
-
-
-/*
-  Return error from LOAD LOCAL INFILE
-
-  SYNOPSIS
-    default_local_infile_end()
-    ptr      Points to handle allocated by _init
-      May be NULL if _init failed!
-    error_msg    Store error text here
-    error_msg_len  Max lenght of error_msg
-
-  RETURN
-    error message number
-*/
-
-static int
-default_local_infile_error(void *ptr, char *error_msg, uint32_t error_msg_len)
-{
-  default_local_infile_data *data = (default_local_infile_data *) ptr;
-  if (data)          /* If not error on open */
-  {
-    strncpy(error_msg, data->error_msg, error_msg_len);
-    return data->error_num;
-  }
-  /* This can only happen if we got error on malloc of handle */
-  strcpy(error_msg, ER(CR_OUT_OF_MEMORY));
-  return CR_OUT_OF_MEMORY;
-}
-
-
-void
-drizzleclient_set_local_infile_handler(DRIZZLE *drizzle,
-                               int (*local_infile_init)(void **, const char *,
-                               void *),
-                               int (*local_infile_read)(void *, char *, uint32_t),
-                               void (*local_infile_end)(void *),
-                               int (*local_infile_error)(void *, char *, uint32_t),
-                               void *userdata)
-{
-  drizzle->options.local_infile_init=  local_infile_init;
-  drizzle->options.local_infile_read=  local_infile_read;
-  drizzle->options.local_infile_end=   local_infile_end;
-  drizzle->options.local_infile_error= local_infile_error;
-  drizzle->options.local_infile_userdata = userdata;
-}
-
-
-void drizzleclient_set_local_infile_default(DRIZZLE *drizzle)
-{
-  drizzle->options.local_infile_init=  default_local_infile_init;
-  drizzle->options.local_infile_read=  default_local_infile_read;
-  drizzle->options.local_infile_end=   default_local_infile_end;
-  drizzle->options.local_infile_error= default_local_infile_error;
-}

=== removed file 'libdrizzleclient/local_infile.h'
--- libdrizzleclient/local_infile.h	2009-02-08 11:11:30 +0000
+++ libdrizzleclient/local_infile.h	1970-01-01 00:00:00 +0000
@@ -1,35 +0,0 @@
-/* - mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
- *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
- *
- *  Copyright (C) 2008 Sun Microsystems, Inc.
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; version 2 of the License.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
- */
-
-#ifndef LIBDRIZZLECLIENT_LOCAL_INFILE_H
-#define LIBDRIZZLECLIENT_LOCAL_INFILE_H
-
-#include "drizzle.h"
-
-#ifdef  __cplusplus
-extern "C" {
-#endif
-
-bool drizzleclient_handle_local_infile(DRIZZLE *drizzle, const char *net_filename);
-
-#ifdef  __cplusplus
-}
-#endif
-
-#endif /* LIBDRIZZLECLIENT_LOCAL_INFILE_H */

=== modified file 'libdrizzleclient/options.h'
--- libdrizzleclient/options.h	2009-02-08 11:28:58 +0000
+++ libdrizzleclient/options.h	2009-03-07 17:09:37 +0000
@@ -32,7 +32,6 @@
 {
   DRIZZLE_OPT_CONNECT_TIMEOUT, DRIZZLE_OPT_COMPRESS, DRIZZLE_OPT_NAMED_PIPE,
   DRIZZLE_INIT_COMMAND, DRIZZLE_READ_DEFAULT_FILE, DRIZZLE_READ_DEFAULT_GROUP,
-  DRIZZLE_OPT_LOCAL_INFILE,
   DRIZZLE_OPT_PROTOCOL, DRIZZLE_SHARED_MEMORY_BASE_NAME, DRIZZLE_OPT_READ_TIMEOUT,
   DRIZZLE_OPT_WRITE_TIMEOUT, DRIZZLE_OPT_USE_RESULT,
   DRIZZLE_OPT_USE_REMOTE_CONNECTION,

